com.unitech.lib.uhf.impinj

## Class UHFRM100

- java.lang.Object
- - com.unitech.lib.uhf.BaseUHF
  - - com.unitech.lib.uhf.impinj.UHFRM100

- All Implemented Interfaces:
    IModuleRfidUhfEventListener

      public class UHFRM100
      extends BaseUHF
      implements IModuleRfidUhfEventListener

- - ### Field Summary

    - ### Fields inherited from class com.unitech.lib.uhf.BaseUHF

      `_module, _reader, _rfidUhfEventManager, TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UHFRM100(IReader reader, int handle)` Create an instance of the BaseUHF class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `assertAction()`
    `protected void` | `assertModule()`
    `protected ResultCode` | `checkError()`
    `AlgorithmType` | `getAlgorithmType()` Returns the algorithm that the RFID UHF module of the appliance uses to perform the inventory.
    `BLFType` | `getBLF()` Returns the status of the BLF that the RFID UHF module of the appliance uses to perform the inventory.
    `RFIDConfig` | `getConfig()` Returns the config of RFID module
    `boolean` | `getContinuousMode()` Returns whether the RFID UHF module on the device will cause the Inventory to run continuously.
    `Encoding` | `getEncoding()` Returns the status of the encoding that the RFID UHF module of the appliance uses to perform the inventory.
    `boolean` | `getFastMode()` Returns the status of the fast mode that the RFID UHF module of the appliance uses to perform the inventory.
    `GlobalBandType` | `getGlobalBand()` Returns the national orientation of the RFID UHF module of the instrument.
    `int` | `getIdleTime()` The RFID UHF module of the instrument returns the time that the radio waves are not output in the Inventory operation and is resting.
    `int` | `getInventoryTime()` Returns the time at which radio waves are actually output from the Inventory operation of the RFID UHF module in the instrument.
    `int` | `getMaxQ()` If the algorithm of the RFID UHF module of the device uses Dynamic Q, it returns the maximum Q value.
    `int` | `getMinQ()` If the algorithm of the RFID UHF module of the device uses Dynamic Q, it returns the minimum Q value.
    `int` | `getModuleProfile()` Returns the status of the module's profile that the RFID UHF module of the appliance uses to perform the inventory.
    `int` | `getPower()` Returns the antenna output of the RFID UHF module of the instrument.
    `PowerMode` | `getPowerMode()` Returns the status of the power mode that the RFID UHF module of the appliance uses to perform the inventory.
    `PowerRange` | `getPowerRange()` Returns the antenna output range of the RFID UHF module of the instrument.
    `SelectMask6cParam` | `getSelectMask6c(int index)` Returns the Selection Mask item of the RFID UHF module of the Device.
    `Mask6cAction` | `getSelectMask6cAction(int index)` Returns the comparison behavior of the Selection Mask item of the RFID UHF module of the Device.
    `BankType` | `getSelectMask6cBank(int index)` The Selection Mask item of the Device's RFID UHF module returns the memory bank to compare.
    `boolean` | `getSelectMask6cEnabled(int index)` Returns whether to use the Selection Mask item of the RFID UHF module of the Device.
    `int` | `getSelectMask6cMaxSize()` Returns the max size of select mask list status of the RFID UHF module.
    `int` | `getSelectMask6cOffset(int index)` The Selection Mask item of the RFID UHF module of the Device returns the starting address of the memory to start the comparison.
    `Mask6cPattern` | `getSelectMask6cPattern(int index)` Returns the comparison value and length of the Selection Mask item of the RFID UHF module of the Device.
    `Mask6cTarget` | `getSelectMask6cTarget(int index)` Returns the Flag of the tag to store the comparison result of Selection Mask item of RFID UHF module of Device.
    `Session` | `getSession()` The RFID UHF module of the device returns the Session to check the state of the Session of the tag to be read by the Inventory operation.
    `SKUType` | `getSKU()`
    `int` | `getStartQ()` If the algorithm of the RFID UHF module of the device is using Dynamic Q, it returns the starting Q value.
    `Target` | `getTarget()` The RFID UHF module of the device returns the status of the Target of the tag to be read by the Inventory operation.
    `TARIType` | `getTARI()` Returns the status of the TARI that the RFID UHF module of the appliance uses to perform the inventory.
    `double` | `getTemperature()`
    `boolean` | `getToggleTarget()` Returns the status of the toggle target that the RFID UHF module of the appliance uses to perform the inventory.
    `java.lang.String` | `getVersion()` Returns the version of the RFID UHF module.
    `boolean` | `initModule()` After the Device is connected, it calls to instantiate the BaseUHF instance.
    `ResultCode` | `inventory6c()` Device instructs to inventory the RFID UHF tag of ISO18000-6c Gen2 standard.
    `ResultCode` | `kill6c(java.lang.String password)` Device instructs the RFID UHF tag of ISO18000-6c Gen2 specification to be no longer available.
    `ResultCode` | `lock6c(Lock6cParam param, java.lang.String password)` Instructs the Device to lock or unlock the RFID UHF tags of the ISO18000-6c Gen2 standard.
    `void` | `onAccessResult(ResultCode resultCode, ActionType actionType, java.lang.String epc, java.lang.String data, java.lang.Object params)`
    `void` | `onReadTag(java.lang.String tag, java.lang.Object params)`
    `ResultCode` | `permaLock6c(PermaLock6cParam param, java.lang.String password)` Instructs the Device to permanent lock or unlock the RFID UHF tags of the ISO18000-6c Gen2 standard.
    `ResultCode` | `readMemory6c(BankType bank, int offset, int length, java.lang.String password)` Device instructs to read specific memory of RFID UHF tag of ISO18000-6c Gen2 standard.
    `void` | `setAlgorithmType(AlgorithmType type)` Sets the algorithm that the RFID UHF module of the appliance uses to perform the inventory.
    `void` | `setBLF(BLFType type)` Sets the status of the BLF that the RFID UHF module of the appliance uses to perform the inventory.
    `void` | `setConfig(RFIDConfig rfidConfig)` Setup the config of the RFID module
    `void` | `setContinuousMode(boolean enabled)` Sets whether or not the RFID UHF module of the device will run the Inventory continuously.
    `void` | `setEncoding(Encoding encoding)` Sets the status of the encoding that the RFID UHF module of the appliance uses to perform the inventory.
    `protected void` | `setException(ReaderException e)`
    `void` | `setFastMode(boolean enabled)` Sets the status of the fast mode that the RFID UHF module of the appliance uses to perform the inventory.
    `void` | `setGlobalBand(GlobalBandType band)` Set the national orientation of the RFID UHF module of the instrument.
    `void` | `setIdleTime(int time)` The RFID UHF module of the instrument sets the time for which the radio waves are not output in the Inventory operation and the rest of the time.
    `void` | `setInventoryTime(int time)` Sets the time at which radio waves are actually output in Inventory operation of the RFID UHF module of the instrument.
    `void` | `setMaxQ(int value)` If the algorithm of the RFID UHF module of the device uses Dynamic Q, set the maximum Q value.
    `void` | `setMinQ(int value)` If the algorithm of the RFID UHF module of the device uses Dynamic Q, set the minimum Q value.
    `void` | `setModuleProfile(int id)` Sets the status of the module's profile that the RFID UHF module of the appliance uses to perform the inventory.
    `void` | `setPower(int power)` Set the antenna output of the RFID UHF module of the instrument.
    `void` | `setPowerMode(PowerMode powerMode)` Sets the status of the power mode the RFID UHF module of the appliance uses to perform the inventory.
    `void` | `setSelectMask6c(int index, SelectMask6cParam param)` Set the Selection Mask item of the RFID UHF module of the Device.
    `void` | `setSelectMask6cAction(int index, Mask6cAction action)` Set the comparison behavior of the Selection Mask item of the RFID UHF module of the device.
    `void` | `setSelectMask6cBank(int index, BankType bank)` The Selection Mask item of the RFID UHF module of the device sets the memory bank to be compared.
    `void` | `setSelectMask6cEnabled(int index, boolean enabled)` Set whether or not to use the Selection Mask item of the RFID UHF module of the Device.
    `void` | `setSelectMask6cOffset(int index, int offset)` The Selection Mask item of the RFID UHF module of the device sets the start address of the memory to start the comparison.
    `void` | `setSelectMask6cPattern(int index, Mask6cPattern pattern)` Set the comparison value and length of the Selection Mask item of the RFID UHF module of the device.
    `void` | `setSelectMask6cTarget(int index, Mask6cTarget target)` Set the Flag of the tag to save the comparison result of Selection Mask item of the RFID UHF module of the device.
    `void` | `setSession(Session session)` Device's RFID UHF module sets the Session to check the status of the Session of the tag to be read by Inventory operation.
    `void` | `setStartQ(int value)` If the algorithm of the RFID UHF module of the device is using Dynamic Q, set the starting Q value.
    `void` | `setTarget(Target target)` Sets the state of target of tag to read by Inventory operation.
    `void` | `setTARI(TARIType type)` Sets the status of the TARI that the RFID UHF module of the appliance uses to perform the inventory.
    `void` | `setToggleTarget(boolean enabled)` Sets the status of the toggle target that the RFID UHF module of the appliance uses to perform the inventory.
    `ResultCode` | `stop()` Instructs the Device to stop the operation being performed.
    `void` | `updateHandle(int handle)`
    `ResultCode` | `writeMemory6c(BankType bank, int offset, java.lang.String data, java.lang.String password)` Device instructs to store data in a specific memory of RFID UHF tag of ISO18000-6c Gen2 standard.

    - ### Methods inherited from class com.unitech.lib.uhf.BaseUHF

      `addListener, clearListener, destroy, getType, PumpEvent, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UHFRM100

          public UHFRM100(IReader reader,
                          int handle)

      Create an instance of the BaseUHF class.
      Parameters:
        `reader` - The interface of Reader
        `handle` - The RM100's handle

  - ### Method Detail

    - #### initModule

          public boolean initModule()

      Description copied from class: `BaseUHF`
      After the Device is connected, it calls to instantiate the BaseUHF instance.
      Specified by:
        `initModule` in class `BaseUHF`
      Returns:
        Returns true if the initialization of the instance succeeds, false otherwise.

    - #### getContinuousMode

          public boolean getContinuousMode()
                                    throws ReaderException

      Description copied from class: `BaseUHF`
      Returns whether the RFID UHF module on the device will cause the Inventory to run continuously.
      Specified by:
        `getContinuousMode` in class `BaseUHF`
      Returns:
        A boolean specifying whether the RFID UHF module will continue to perform Inventory operations.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setContinuousMode

          public void setContinuousMode(boolean enabled)
                                 throws ReaderException

      Description copied from class: `BaseUHF`
      Sets whether or not the RFID UHF module of the device will run the Inventory continuously.
      Specified by:
        `setContinuousMode` in class `BaseUHF`
      Parameters:
        `enabled` - A boolean specifying whether the RFID UHF module will continue to perform Inventory operations.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getGlobalBand

          public GlobalBandType getGlobalBand()
                                       throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the national orientation of the RFID UHF module of the instrument.
      Specified by:
        `getGlobalBand` in class `BaseUHF`
      Returns:
        GlobalBandType enumeration that represents the national orientation of the RFID UHF module.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setGlobalBand

          public void setGlobalBand(GlobalBandType band)
                             throws ReaderException

      Description copied from class: `BaseUHF`
      Set the national orientation of the RFID UHF module of the instrument.
      Specified by:
        `setGlobalBand` in class `BaseUHF`
      Parameters:
        `band` - GlobalBandType enumeration that represents the national orientation of the RFID UHF module.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getInventoryTime

          public int getInventoryTime()
                               throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the time at which radio waves are actually output from the Inventory operation of the RFID UHF module in the instrument.
      Specified by:
        `getInventoryTime` in class `BaseUHF`
      Returns:
        An integer that specifies the Inventory time( Tx On ) of the RFID UHF module. Inventory Time ( Tx On ) is in milliseconds (ms).
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setInventoryTime

          public void setInventoryTime(int time)
                                throws ReaderException

      Description copied from class: `BaseUHF`
      Sets the time at which radio waves are actually output in Inventory operation of the RFID UHF module of the instrument.
      Specified by:
        `setInventoryTime` in class `BaseUHF`
      Parameters:
        `time` - An integer that specifies the Inventory time ( Tx On ) of the RFID UHF module. Inventory Time ( Tx On ) is in milliseconds (ms).
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getIdleTime

          public int getIdleTime()
                          throws ReaderException

      Description copied from class: `BaseUHF`
      The RFID UHF module of the instrument returns the time that the radio waves are not output in the Inventory operation and is resting.
      Specified by:
        `getIdleTime` in class `BaseUHF`
      Returns:
        An integer that specifies the Inventory idle time ( Tx Off ) for the RFID UHF module. Idle Time ( Tx Off ) is in milliseconds (ms).
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setIdleTime

          public void setIdleTime(int time)
                           throws ReaderException

      Description copied from class: `BaseUHF`
      The RFID UHF module of the instrument sets the time for which the radio waves are not output in the Inventory operation and the rest of the time.
      Specified by:
        `setIdleTime` in class `BaseUHF`
      Parameters:
        `time` - An integer that specifies the Inventory idle time ( Tx Off ) for the RFID UHF module. Idle Time ( Tx Off ) is in milliseconds (ms).
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSession

          public Session getSession()
                             throws ReaderException

      Description copied from class: `BaseUHF`
      The RFID UHF module of the device returns the Session to check the state of the Session of the tag to be read by the Inventory operation.
      Specified by:
        `getSession` in class `BaseUHF`
      Returns:
        The Session enumeration that specifies the session of the tag to read from the RFID UHF module.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSession

          public void setSession(Session session)
                          throws ReaderException

      Description copied from class: `BaseUHF`
      Device's RFID UHF module sets the Session to check the status of the Session of the tag to be read by Inventory operation.
      Specified by:
        `setSession` in class `BaseUHF`
      Parameters:
        `session` - The Session enumeration that specifies the session of the tag to read from the RFID UHF module.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cEnabled

          public boolean getSelectMask6cEnabled(int index)
                                         throws ReaderException

      Description copied from class: `BaseUHF`
      Returns whether to use the Selection Mask item of the RFID UHF module of the Device.
      Specified by:
        `getSelectMask6cEnabled` in class `BaseUHF`
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
      Returns:
        A boolean specifying whether to apply the item.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cEnabled

          public void setSelectMask6cEnabled(int index,
                                             boolean enabled)
                                      throws ReaderException

      Description copied from class: `BaseUHF`
      Set whether or not to use the Selection Mask item of the RFID UHF module of the Device.
      Specified by:
        `setSelectMask6cEnabled` in class `BaseUHF`
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
        `enabled` - A boolean specifying whether to apply the item.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cTarget

          public Mask6cTarget getSelectMask6cTarget(int index)
                                             throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the Flag of the tag to store the comparison result of Selection Mask item of RFID UHF module of Device.
      Specified by:
        `getSelectMask6cTarget` in class `BaseUHF`
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
      Returns:
        The Mask6cTarget enumeration that specifies the Flag of the tag to store the result of the specified Selection Mask item comparison.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cTarget

          public void setSelectMask6cTarget(int index,
                                            Mask6cTarget target)
                                     throws ReaderException

      Description copied from class: `BaseUHF`
      Set the Flag of the tag to save the comparison result of Selection Mask item of the RFID UHF module of the device.
      Specified by:
        `setSelectMask6cTarget` in class `BaseUHF`
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
        `target` - The Mask6cTarget enumeration that specifies the Flag of the tag to store the result of the specified Selection Mask item comparison.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cAction

          public Mask6cAction getSelectMask6cAction(int index)
                                             throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the comparison behavior of the Selection Mask item of the RFID UHF module of the Device.
      Specified by:
        `getSelectMask6cAction` in class `BaseUHF`
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
      Returns:
        The Mask6cAction enumeration specifying how to compare the specified Selection Mask items.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cAction

          public void setSelectMask6cAction(int index,
                                            Mask6cAction action)
                                     throws ReaderException

      Description copied from class: `BaseUHF`
      Set the comparison behavior of the Selection Mask item of the RFID UHF module of the device.
      Specified by:
        `setSelectMask6cAction` in class `BaseUHF`
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
        `action` - The Mask6cAction enumeration specifying how to compare the specified Selection Mask items.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cBank

          public BankType getSelectMask6cBank(int index)
                                       throws ReaderException

      Description copied from class: `BaseUHF`
      The Selection Mask item of the Device's RFID UHF module returns the memory bank to compare.
      Specified by:
        `getSelectMask6cBank` in class `BaseUHF`
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
      Returns:
        The BankType enumeration that specifies the memory bank to be compared with the specified Selection Mask item. Reserved bank is not used.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cBank

          public void setSelectMask6cBank(int index,
                                          BankType bank)
                                   throws ReaderException

      Description copied from class: `BaseUHF`
      The Selection Mask item of the RFID UHF module of the device sets the memory bank to be compared.
      Specified by:
        `setSelectMask6cBank` in class `BaseUHF`
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
        `bank` - The BankType enumeration that specifies the memory bank to be compared with the specified Selection Mask item. Reserved bank is not used.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cOffset

          public int getSelectMask6cOffset(int index)
                                    throws ReaderException

      Description copied from class: `BaseUHF`
      The Selection Mask item of the RFID UHF module of the Device returns the starting address of the memory to start the comparison.
      Specified by:
        `getSelectMask6cOffset` in class `BaseUHF`
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
      Returns:
        An integer specifying the starting address at which the specified Selection Mask item will start the comparison. The unit specifying the start address of the Selection Mask is bit.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cOffset

          public void setSelectMask6cOffset(int index,
                                            int offset)
                                     throws ReaderException

      Description copied from class: `BaseUHF`
      The Selection Mask item of the RFID UHF module of the device sets the start address of the memory to start the comparison.
      Specified by:
        `setSelectMask6cOffset` in class `BaseUHF`
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
        `offset` - An integer specifying the starting address at which the specified Selection Mask item will start the comparison. The unit specifying the start address of the Selection Mask is bit.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cPattern

          public Mask6cPattern getSelectMask6cPattern(int index)
                                               throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the comparison value and length of the Selection Mask item of the RFID UHF module of the Device.
      Specified by:
        `getSelectMask6cPattern` in class `BaseUHF`
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
      Returns:
        An instance of Mask6cPattern specifying the comparison value and length of the specified Selection Mask item.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cPattern

          public void setSelectMask6cPattern(int index,
                                             Mask6cPattern pattern)
                                      throws ReaderException

      Description copied from class: `BaseUHF`
      Set the comparison value and length of the Selection Mask item of the RFID UHF module of the device.
      Specified by:
        `setSelectMask6cPattern` in class `BaseUHF`
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
        `pattern` - An instance of Mask6cPattern specifying the comparison value and length of the specified Selection Mask item.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6c

          public void setSelectMask6c(int index,
                                      SelectMask6cParam param)
                               throws ReaderException

      Description copied from class: `BaseUHF`
      Set the Selection Mask item of the RFID UHF module of the Device.
      Specified by:
        `setSelectMask6c` in class `BaseUHF`
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
        `param` - An instance of SelectMask6cParam that specifies the specified Selection Mask item.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6c

          public SelectMask6cParam getSelectMask6c(int index)
                                            throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the Selection Mask item of the RFID UHF module of the Device.
      Specified by:
        `getSelectMask6c` in class `BaseUHF`
      Parameters:
        `index` - Integer specifying the radix of the item from 0 to getSelectMask6cMaxSize().
      Returns:
        An instance of SelectMask6cParam that specifies the specified Selection Mask item.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cMaxSize

          public int getSelectMask6cMaxSize()

      Description copied from class: `BaseUHF`
      Returns the max size of select mask list status of the RFID UHF module.
      Specified by:
        `getSelectMask6cMaxSize` in class `BaseUHF`
      Returns:
        The max size of select mask list.

    - #### getAlgorithmType

          public AlgorithmType getAlgorithmType()
                                         throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the algorithm that the RFID UHF module of the appliance uses to perform the inventory.
      Specified by:
        `getAlgorithmType` in class `BaseUHF`
      Returns:
        An AlgorithmType enumeration specifying the algorithm.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setAlgorithmType

          public void setAlgorithmType(AlgorithmType type)
                                throws ReaderException

      Description copied from class: `BaseUHF`
      Sets the algorithm that the RFID UHF module of the appliance uses to perform the inventory.
      Specified by:
        `setAlgorithmType` in class `BaseUHF`
      Parameters:
        `type` - An AlgorithmType enumeration specifying the algorithm.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getTarget

          public Target getTarget()
                           throws ReaderException

      Description copied from class: `BaseUHF`
      The RFID UHF module of the device returns the status of the Target of the tag to be read by the Inventory operation.
      Specified by:
        `getTarget` in class `BaseUHF`
      Returns:
        The Target enumeration type that specifies the state of the Target of the tag to be read by the RFID UHF module.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setTarget

          public void setTarget(Target target)
                         throws ReaderException

      Description copied from class: `BaseUHF`
      Sets the state of target of tag to read by Inventory operation.
      Specified by:
        `setTarget` in class `BaseUHF`
      Parameters:
        `target` - The Target enumeration type that specifies the state of the Target of the tag to be read by the RFID UHF module.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getEncoding

          public Encoding getEncoding()
                               throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the status of the encoding that the RFID UHF module of the appliance uses to perform the inventory.
      Specified by:
        `getEncoding` in class `BaseUHF`
      Returns:
        An Encoding enumeration specifying the encoding.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setEncoding

          public void setEncoding(Encoding encoding)
                           throws ReaderException

      Description copied from class: `BaseUHF`
      Sets the status of the encoding that the RFID UHF module of the appliance uses to perform the inventory.
      Specified by:
        `setEncoding` in class `BaseUHF`
      Parameters:
        `encoding` - An Encoding enumeration specifying the encoding.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getStartQ

          public int getStartQ()
                        throws ReaderException

      Description copied from class: `BaseUHF`
      If the algorithm of the RFID UHF module of the device is using Dynamic Q, it returns the starting Q value.
      Specified by:
        `getStartQ` in class `BaseUHF`
      Returns:
        An integer that specifies the starting Q value of the algorithm.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setStartQ

          public void setStartQ(int value)
                         throws ReaderException

      Description copied from class: `BaseUHF`
      If the algorithm of the RFID UHF module of the device is using Dynamic Q, set the starting Q value.
      Specified by:
        `setStartQ` in class `BaseUHF`
      Parameters:
        `value` - Dynamic Q An integer that specifies the starting Q value of the algorithm.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getMinQ

          public int getMinQ()
                      throws ReaderException

      Description copied from class: `BaseUHF`
      If the algorithm of the RFID UHF module of the device uses Dynamic Q, it returns the minimum Q value.
      Specified by:
        `getMinQ` in class `BaseUHF`
      Returns:
        Dynamic type that specifies the minimum Q value of the Q algorithm. The Min Q value must be less than the Max Q value.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setMinQ

          public void setMinQ(int value)
                       throws ReaderException

      Description copied from class: `BaseUHF`
      If the algorithm of the RFID UHF module of the device uses Dynamic Q, set the minimum Q value.
      Specified by:
        `setMinQ` in class `BaseUHF`
      Parameters:
        `value` - Dynamic type that specifies the minimum Q value of the Q algorithm. The Min Q value must be less than the Max Q value.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getMaxQ

          public int getMaxQ()
                      throws ReaderException

      Description copied from class: `BaseUHF`
      If the algorithm of the RFID UHF module of the device uses Dynamic Q, it returns the maximum Q value.
      Specified by:
        `getMaxQ` in class `BaseUHF`
      Returns:
        Dynamic type that specifies the maximum Q value of the Q algorithm. The Max Q value must be greater than the Min Q value.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setMaxQ

          public void setMaxQ(int value)
                       throws ReaderException

      Description copied from class: `BaseUHF`
      If the algorithm of the RFID UHF module of the device uses Dynamic Q, set the maximum Q value.
      Specified by:
        `setMaxQ` in class `BaseUHF`
      Parameters:
        `value` - Dynamic type that specifies the maximum Q value of the Q algorithm. The Max Q value must be greater than the Min Q value.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getTARI

          public TARIType getTARI()
                           throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the status of the TARI that the RFID UHF module of the appliance uses to perform the inventory.
      Specified by:
        `getTARI` in class `BaseUHF`
      Returns:
        A TARIType enumeration specifying the TARI.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setTARI

          public void setTARI(TARIType type)
                       throws ReaderException

      Description copied from class: `BaseUHF`
      Sets the status of the TARI that the RFID UHF module of the appliance uses to perform the inventory.
      Specified by:
        `setTARI` in class `BaseUHF`
      Parameters:
        `type` - An TARIType enumeration specifying the TARI.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getBLF

          public BLFType getBLF()
                         throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the status of the BLF that the RFID UHF module of the appliance uses to perform the inventory.
      Specified by:
        `getBLF` in class `BaseUHF`
      Returns:
        A BLFType enumeration specifying the BLF.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setBLF

          public void setBLF(BLFType type)
                      throws ReaderException

      Description copied from class: `BaseUHF`
      Sets the status of the BLF that the RFID UHF module of the appliance uses to perform the inventory.
      Specified by:
        `setBLF` in class `BaseUHF`
      Parameters:
        `type` - An BLFType enumeration specifying the BLF.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getToggleTarget

          public boolean getToggleTarget()
                                  throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the status of the toggle target that the RFID UHF module of the appliance uses to perform the inventory.
      Specified by:
        `getToggleTarget` in class `BaseUHF`
      Returns:
        The toggle target status.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setToggleTarget

          public void setToggleTarget(boolean enabled)
                               throws ReaderException

      Description copied from class: `BaseUHF`
      Sets the status of the toggle target that the RFID UHF module of the appliance uses to perform the inventory.
      Specified by:
        `setToggleTarget` in class `BaseUHF`
      Parameters:
        `enabled` - The toggle target status.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getFastMode

          public boolean getFastMode()
                              throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the status of the fast mode that the RFID UHF module of the appliance uses to perform the inventory.
      Specified by:
        `getFastMode` in class `BaseUHF`
      Returns:
        The fast mode status.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setFastMode

          public void setFastMode(boolean enabled)
                           throws ReaderException

      Description copied from class: `BaseUHF`
      Sets the status of the fast mode that the RFID UHF module of the appliance uses to perform the inventory.
      Specified by:
        `setFastMode` in class `BaseUHF`
      Parameters:
        `enabled` - The fast mode status.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getModuleProfile

          public int getModuleProfile()
                               throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the status of the module's profile that the RFID UHF module of the appliance uses to perform the inventory.
      Specified by:
        `getModuleProfile` in class `BaseUHF`
      Returns:
        The index of module profile.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setModuleProfile

          public void setModuleProfile(int id)
                                throws ReaderException

      Description copied from class: `BaseUHF`
      Sets the status of the module's profile that the RFID UHF module of the appliance uses to perform the inventory. Only supports 0, 1, 2, 3 for HT730 UHF.
      Specified by:
        `setModuleProfile` in class `BaseUHF`
      Parameters:
        `id` - The module profile index.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getPowerMode

          public PowerMode getPowerMode()
                                 throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the status of the power mode that the RFID UHF module of the appliance uses to perform the inventory.
      Specified by:
        `getPowerMode` in class `BaseUHF`
      Returns:
        A PowerMode enumeration specifying the power mode.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setPowerMode

          public void setPowerMode(PowerMode powerMode)
                            throws ReaderException

      Description copied from class: `BaseUHF`
      Sets the status of the power mode the RFID UHF module of the appliance uses to perform the inventory.
      Specified by:
        `setPowerMode` in class `BaseUHF`
      Parameters:
        `powerMode` - A PowerMode enumeration specifying the power mode.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getConfig

          public RFIDConfig getConfig()
                               throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the config of RFID module
      Specified by:
        `getConfig` in class `BaseUHF`
      Returns:
        An instance of RFIDConfig that the config of RFID module.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setConfig

          public void setConfig(RFIDConfig rfidConfig)
                         throws ReaderException

      Description copied from class: `BaseUHF`
      Setup the config of the RFID module
      Specified by:
        `setConfig` in class `BaseUHF`
      Parameters:
        `rfidConfig` - The RFID config setting
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### inventory6c

          public ResultCode inventory6c()

      Description copied from class: `BaseUHF`
      Device instructs to inventory the RFID UHF tag of ISO18000-6c Gen2 standard.
      Specified by:
        `inventory6c` in class `BaseUHF`
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### readMemory6c

          public ResultCode readMemory6c(BankType bank,
                                         int offset,
                                         int length,
                                         java.lang.String password)

      Description copied from class: `BaseUHF`
      Device instructs to read specific memory of RFID UHF tag of ISO18000-6c Gen2 standard.
      Specified by:
        `readMemory6c` in class `BaseUHF`
      Parameters:
        `bank` - The BankType enumeration that specifies the Bank for reading memory.
        `offset` - An integer specifying the starting address to start reading from the specified bank. Unit is WORD unit.
        `length` - An integer that specifies the length of data to read from the specified start address. Unit is WORD unit.
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### writeMemory6c

          public ResultCode writeMemory6c(BankType bank,
                                          int offset,
                                          java.lang.String data,
                                          java.lang.String password)

      Description copied from class: `BaseUHF`
      Device instructs to store data in a specific memory of RFID UHF tag of ISO18000-6c Gen2 standard.
      Specified by:
        `writeMemory6c` in class `BaseUHF`
      Parameters:
        `bank` - The BankType enumeration that specifies the Bank for writing memory.
        `offset` - An integer specifying the starting address to start writing from the specified bank. Unit is WORD unit.
        `data` - An Hex type string that specifies the data to be stored in memory from the specified start address. Data must be specified in WORD units (4 characters).
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### lock6c

          public ResultCode lock6c(Lock6cParam param,
                                   java.lang.String password)

      Description copied from class: `BaseUHF`
      Instructs the Device to lock or unlock the RFID UHF tags of the ISO18000-6c Gen2 standard.
      Specified by:
        `lock6c` in class `BaseUHF`
      Parameters:
        `param` - An instance of Lock6cParam that specifies the lock area of the tag memory.
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### permaLock6c

          public ResultCode permaLock6c(PermaLock6cParam param,
                                        java.lang.String password)

      Description copied from class: `BaseUHF`
      Instructs the Device to permanent lock or unlock the RFID UHF tags of the ISO18000-6c Gen2 standard.
      Specified by:
        `permaLock6c` in class `BaseUHF`
      Parameters:
        `param` - An instance of PermaLock6cParam that specifies a permanent lock area for tag memory.
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### kill6c

          public ResultCode kill6c(java.lang.String password)

      Description copied from class: `BaseUHF`
      Device instructs the RFID UHF tag of ISO18000-6c Gen2 specification to be no longer available.
      Specified by:
        `kill6c` in class `BaseUHF`
      Parameters:
        `password` - Hex type string that specifies the Kill Password set in the tag
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### stop

          public ResultCode stop()

      Description copied from class: `BaseUHF`
      Instructs the Device to stop the operation being performed.
      Specified by:
        `stop` in class `BaseUHF`
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### getPowerRange

          public PowerRange getPowerRange()
                                   throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the antenna output range of the RFID UHF module of the instrument.
      Specified by:
        `getPowerRange` in class `BaseUHF`
      Returns:
        An instance of PowerRange that represents the antenna output range of the RFID UHF module of the device. The return unit is dBm.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getPower

          public int getPower()
                       throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the antenna output of the RFID UHF module of the instrument.
      Specified by:
        `getPower` in class `BaseUHF`
      Returns:
        An integer specifying the antenna output of the RFID UHF module. The setting unit is dBm.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setPower

          public void setPower(int power)
                        throws ReaderException

      Description copied from class: `BaseUHF`
      Set the antenna output of the RFID UHF module of the instrument.
      Specified by:
        `setPower` in class `BaseUHF`
      Parameters:
        `power` - An integer specifying the antenna output of the RFID UHF module. The setting unit is dBm.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSKU

          public SKUType getSKU()
                         throws ReaderException

      Throws:
        `ReaderException`

    - #### getVersion

          public java.lang.String getVersion()
                                      throws ReaderException

      Description copied from class: `BaseUHF`
      Returns the version of the RFID UHF module.
      Specified by:
        `getVersion` in class `BaseUHF`
      Returns:
        A string representing version information.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### onAccessResult

          public void onAccessResult(ResultCode resultCode,
                                     ActionType actionType,
                                     java.lang.String epc,
                                     java.lang.String data,
                                     java.lang.Object params)

      Specified by:
        `onAccessResult` in interface `IModuleRfidUhfEventListener`

    - #### onReadTag

          public void onReadTag(java.lang.String tag,
                                java.lang.Object params)

      Specified by:
        `onReadTag` in interface `IModuleRfidUhfEventListener`

    - #### getTemperature

          public double getTemperature()
                                throws ReaderException

      Throws:
        `ReaderException`

    - #### updateHandle

          public void updateHandle(int handle)

    - #### assertModule

          protected void assertModule()
                               throws ReaderException

      Throws:
        `ReaderException`

    - #### assertAction

          protected void assertAction()
                               throws ReaderException

      Throws:
        `ReaderException`

    - #### checkError

          protected ResultCode checkError()

    - #### setException

          protected void setException(ReaderException e)